> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Experiments



## OpenAPI

````yaml openapi/experiments.openapi.yaml GET /workspaces/{workspace_id}/experiments
openapi: 3.1.0
info:
  title: Experiments API
  description: Use the Experiments API to create, manage, and control experiments.
  contact:
    url: https://mixpanel.com/get-support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Experiment Management
    description: Create, read, update, delete, and manage experiments
  - name: Experiment Actions
    description: Lifecycle actions — archive, decide, force conclude, launch
paths:
  /workspaces/{workspace_id}/experiments:
    parameters:
      - $ref: '#/components/parameters/WorkspaceId'
    get:
      tags:
        - Experiment Management
      summary: List Experiments
      operationId: list-experiments
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListExperimentResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  parameters:
    WorkspaceId:
      name: workspace_id
      in: path
      schema:
        type: integer
      required: true
  schemas:
    ListExperimentResponse:
      anyOf:
        - $ref: '#/components/schemas/ListExperimentApiResponse'
        - $ref: '#/components/schemas/ExperimentApiErrorResponse'
    ListExperimentApiResponse:
      additionalProperties: false
      properties:
        status:
          title: ''
          type: string
        results:
          items:
            $ref: '#/components/schemas/ExperimentApiResponse'
          title: ''
          type: array
      required:
        - status
        - results
      title: ListExperimentApiResponse
      type: object
    ExperimentApiErrorResponse:
      additionalProperties: false
      properties:
        status:
          const: error
          title: ''
          type: string
        type:
          title: ''
          type: string
        error:
          title: ''
          anyOf:
            - type: string
            - type: object
      required:
        - status
        - type
        - error
      title: ExperimentApiErrorResponse
      type: object
    ExperimentApiResponse:
      additionalProperties: false
      type: object
      properties:
        id:
          type: string
          description: UUID of the experiment
        name:
          type: string
        content_type:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        created:
          type: string
          description: ISO 8601 datetime
        creator_id:
          anyOf:
            - type: integer
            - type: 'null'
        creator_name:
          anyOf:
            - type: string
            - type: 'null'
        creator_email:
          anyOf:
            - type: string
            - type: 'null'
        modified:
          type: string
          description: ISO 8601 datetime
        deleted:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 datetime when soft-deleted, null if active
        is_favorited:
          type: boolean
        pinned_date:
          anyOf:
            - type: string
            - type: 'null'
          description: Date string YYYY-MM-DD or null
        tags:
          type: array
          items:
            type: string
        last_modified_by_id:
          type: integer
        last_modified_by_name:
          type: string
        last_modified_by_email:
          type: string
        can_view:
          type: boolean
        can_update_basic:
          type: boolean
        can_update_restricted:
          type: boolean
        can_update_visibility:
          type: boolean
        is_superadmin:
          type: boolean
        allow_staff_override:
          type: boolean
        can_share:
          type: boolean
        is_shared_with_project:
          type: boolean
        hypothesis:
          anyOf:
            - type: string
            - type: 'null'
        status:
          type: string
          enum:
            - draft
            - active
            - concluded
            - success
            - fail
        variants:
          type: array
          description: Array of variant objects
        metrics:
          type: array
          description: Array of metric objects
        settings:
          type: object
          description: Experiment settings including feature flag settings
        exposures_cache:
          type: object
          description: Cached exposure counts
        results_cache:
          type: object
          description: Cached experiment results
        start_date:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 datetime
        end_date:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO 8601 datetime
        feature_flag:
          anyOf:
            - type: object
            - type: 'null'
          description: Linked feature flag data, null if no flag linked
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````